import SwiftUI
import SwiftData

@main
struct SesameApp: App {
    
    @State
    var modelContainer: ModelContainer
    
    init() {
        self.modelContainer = SesameApp.loadModelContainer()
    }
    
    var body: some Scene {
        WindowGroup {
            ContentView(modelContext: modelContainer.mainContext)
        }
        .modelContainer(modelContainer)
    }
}
